<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [clearLog](./bitburner.ns.clearlog.md)

## NS.clearLog() method

Clears the script’s logs.

**Signature:**

```typescript
clearLog(): void;
```
**Returns:**

void

## Remarks

RAM cost: 0 GB

